Bug 1027586 - RBAC: Web console is too coarse-grained with application resources
Summary: RBAC: Web console is too coarse-grained with application resources
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: EAP 6.4.0
Assignee: Heiko Braun
QA Contact: Pavel Jelinek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-07 07:11 UTC by Ladislav Thon
Modified: 2019-08-19 12:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
In this release of JBoss EAP 6, when a resource is defined as an application resource, the console may not reflect that definition. This is because the console often groups several resources under one view. The controls in the views are available if all related resources are writable. If any of these resources is configured as an application resource, however, the related controls will still be disabled. The current workaround is to, if possible, configure all resource types associated with a subsystem as application resources.
Clone Of:
Environment:
Last Closed: 2019-08-19 12:47:45 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-300 Major Resolved Mismatch between application resources and access control configuration 2018-10-22 14:38:52 UTC

Description Ladislav Thon 2013-11-07 07:11:55 UTC
As we found in bug 1017786, the console is too coarse-grained with application resources. E.g., if one makes "data-source" application resource, the web console doesn't allow editing datasources unless also "xa-data-source" is made application resource. This is a usable workaround for datasources, but there is no such usable workaround e.g. for JMS.

Comment 4 Scott Mumford 2013-12-02 02:15:08 UTC
Modified Doc Text content and marked for inclusion in the 6.2 Release Notes document.

Comment 5 Jakub Cechacek 2014-07-16 11:19:46 UTC
Moving to 6.4 as the issue is still valid for 6.3

Comment 6 JBoss JIRA Server 2015-07-20 06:32:37 UTC
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-300 to Resolved


Note You need to log in before you can comment on or make changes to this bug.